Skip to main content
GET
/
v1
/
organizations
List Organizations
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "legalName": "<string>",
      "parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "doingBusinessAs": "<string>",
      "legalDocument": "123456789012345",
      "status": "<unknown>",
      "address": {
        "line1": "<string>",
        "zipCode": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country": "<string>",
        "line2": "<string>",
        "description": "<string>"
      },
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "limit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Content-Type
string

The type of media of the resource. Recommended value is application/json.

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Query Parameters

limit
string

The maximum number of items to include in the response. Max: 100

start_date
string

The beginning of the period you want to retrieve. You must also include the end_date.

end_date
string

The end of the period you want to retrieve. You must also include the start_date.

sort_order
string

The order used to sort the results.

page
string

The number of the page that you want to retrieve.

metadata.key
string

Filter by metadata using dot-notation. Replace key with your metadata field name (e.g. metadata.costCenter=BR_11101997).

Filter organizations by legal name. Uses prefix matching (case-insensitive, max 256 characters).

Maximum string length: 256
doing_business_as
string

Filter organizations by trade name (doing business as). Uses prefix matching (case-insensitive, max 256 characters).

Maximum string length: 256
status
enum<string>

Filter organizations by status. Accepted values are active, blocked, or inactive.

Available options:
active,
blocked,
inactive

Filter organizations by legal document number (exact match).

Response

Indicates that the request was successful and the response contains the expected data.

items
object[]
page
integer

The number of pages returned.

limit
integer

The maximum number of items included in the response.